import { Chain } from "@wormhole-foundation/sdk";
import { Ntt } from "@wormhole-foundation/sdk-definitions-ntt";
type NttContracts = {
    [key in Chain]?: Ntt.Contracts;
};
export declare const JITO_NTT_CONTRACTS: NttContracts;
export declare const TEST_NTT_TOKENS: NttContracts;
export declare const NttTokens: {
    Test: {
        chain: "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Scroll" | "Mantle" | "Blast" | "Xlayer" | "Linea" | "Berachain" | "Seievm" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Neutron" | "Celestia" | "Stargaze" | "Seda" | "Dymension" | "Provenance" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky" | "PolygonSepolia";
        token: string;
        manager: string;
        quoter: string | undefined;
        transceiver: {
            type: "wormhole";
            address: string;
        }[];
    }[];
};
export {};
//# sourceMappingURL=consts.d.ts.map